//@ts-ignore
import React, { Component } from "react";
import GcPdfViewer from "../..";
export type PreserveStampSizeAspectToggleProps = {
    viewer: GcPdfViewer;
    disabled?: boolean;
};
export declare class PreserveStampSizeAspectToggle extends Component<PreserveStampSizeAspectToggleProps, any> {
    private static instance;
    static notifyKeepAspectRatioChanged(): void;
    componentDidMount(): void;
    componentWillUnmount(): void;
//@ts-ignore
//@ts-ignore
    render(): React.JSX.Element;
}
